package dcworms.schedframe.scheduling;

import java.util.LinkedList;

import schedframe.scheduling.ExecutionHistoryItem;
import schedframe.scheduling.ResourceHistoryItem;
import schedframe.scheduling.tasks.TaskInterface;
import schedframe.scheduling.tasks.phases.ResourceConsumption;
import schedframe.scheduling.tasks.phases.ExecutionProfile;
import schedframe.scheduling.tasks.requirements.ResourceParameterName;

public interface ExecTask extends TaskInterface<org.qcg.broker.schemas.resreqs.Task> {

	public boolean expectSpecificResource(ResourceParameterName resourceName);	
	public Object getExpectedSpecificResource(ResourceParameterName resourceName);
	
	public LinkedList<ExecutionHistoryItem> getExecHistory();
	public LinkedList<ResourceHistoryItem> getAllocatedResources();
	
	public ExecutionProfile getResourceConsumptionProfile();
	public ResourceConsumption getCurrentResourceConsumption();
	
    public String getSchedulerName();
}
